Name:          sfx4j
Version:       1.0
Release:       %mkrel 3
Summary:       self-executable Java archive generator
Group:         Development/Java
License:       BSD
Url:           http://java.net/projects/sfx4j
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_1_9/jaxb-ri/tools/lib/src/sfx4j-1.0-RC-src.zip
#Source0:       sfx4j-1.0-RC-src.zip
Source0:       https://sfx4j.dev.java.net/files/documents/1061/12973/sfx4j-%{version}-src.tar.gz
# from http://download.java.net/maven/1/sfx4j/poms/sfx4j-1.0.pom and ... modified
Source1:       sfx4j-1.0.pom
BuildRequires: ant
BuildRequires: bcel
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      bcel
Requires:      jpackage-utils
BuildArch:     noarch

%description
This project allows you to embed an executable jar file into a single class/jar file.
The generated class file has the main method and it will launch the jar file.

The motivation for this project was to create a pure-Java installer that forces users to
agree license terms before the installation starts. If we just use the jar file as the
installer, people can easily extract the contents from it without ever agreeing with
the license.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
sfx4j - self-executable Java archive generator.

This package contains javadoc for %{name}.

%prep
%setup -q -n sfx4j-%{version}

mkdir -p target/lib
mkdir -p target/classes

pushd target/lib
	ln -sf $(build-classpath bcel) bcel-5.1.jar
	ln -sf $(build-classpath junit) junit-3.8.1.jar
	ln -sf $(build-classpath ant) ant-1.5.jar
# ant-optional-1.5.jar
popd

%build
export CLASSPATH=$(build-classpath bcel junit)
ant \
	-Duser.home=$PWD \
	-Ddefaulttargetdir=$PWD/target \
	-Dlibdir=$PWD/target/lib \
	-Dclassesdir=$PWD/target/classes \
	-Dbuild.sysclasspath=only \
	dist
	
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/sfx4j-%{version}.jar \
	%{buildroot}%{_javadir}/sfx4j-%{version}.jar

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

mkdir -p %{buildroot}%{_javadocdir}/sfx4j-%{version}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/sfx4j-%{version}
ln -sf sfx4j-%{version} %{buildroot}%{_javadocdir}/sfx4j

%files
%defattr(-,root,root)
%{_javadir}/sfx4j-%{version}.jar
%{_javadir}/sfx4j.jar
%doc LICENSE.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/sfx4j-%{version}
%{_javadocdir}/sfx4j



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 518287
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 381954
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132763
- Clean spec file

  + gil <gil>
    - imported package sfx4j


* Fri Jul 08 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
